updated sturcture for updates

This commit is contained in:
naturallaw77 2023-06-21 20:15:00 -07:00
parent a9cfedd2b0
commit 16d4d8ec02
2 changed files with 11 additions and 9 deletions

View File

@ -4,10 +4,12 @@ set -ex
cd /home/free/Downloads cd /home/free/Downloads
wget "https://git.sovransystems.com/Sovran_Systems/Sovran_SystemsOS/raw/branch/main/file_fixes_and_new_services/test.sh" /run/current-system/sw/bin/wget "https://git.sovransystems.com/Sovran_Systems/Sovran_SystemsOS/raw/branch/main/file_fixes_and_new_services/test.sh"
bash /home/free/Downloads/test.sh /run/current-system/sw/bin/bash /home/free/Downloads/test.sh
rm -rf /home/free/Downloads/test.sh rm -rf /home/free/Downloads/test.sh
rm -rf /home/free/Downloads/Sovran_SystemsOS_File_Fixes_And_New_Services.sh
exit 0 exit 0

View File

@ -10,7 +10,7 @@ FILE=/var/lib/beacons/file_fixes_and_new_services/jitsi/started
if [ -e $FILE ]; then if [ -e $FILE ]; then
echo "File Found, No Need to Run ... exiting" /run/current-system/sw/bin/echo "File Found, No Need to Run ... exiting"
exit 1 exit 1
@ -19,11 +19,11 @@ FILE=/var/lib/beacons/file_fixes_and_new_services/jitsi/started
#### CREATE INITIAL TAG #### #### CREATE INITIAL TAG ####
mkdir -p /var/lib/beacons/file_fixes_and_new_services/jitsi ; touch /var/lib/beacons/file_fixes_and_new_services/jitsi/started /run/current-system/sw/bin/mkdir -p /var/lib/beacons/file_fixes_and_new_services/jitsi ; touch /var/lib/beacons/file_fixes_and_new_services/jitsi/started
if [[ $? != 0 ]]; then if [[ $? != 0 ]]; then
echo "Could Not Create Initial Tag" /run/current-system/sw/bin/echo "Could Not Create Initial Tag"
exit 1 exit 1
@ -32,11 +32,11 @@ mkdir -p /var/lib/beacons/file_fixes_and_new_services/jitsi ; touch /var/lib/bea
#### MAIN SCRIPT #### #### MAIN SCRIPT ####
mkdir /var/lib/cool /run/current-system/sw/bin/mkdir /var/lib/cool
if [[ $? != 0 ]]; then if [[ $? != 0 ]]; then
echo "Could Not Create Cool" /run/current-system/sw/bin/echo "Could Not Create Cool"
exit 1 exit 1
@ -46,11 +46,11 @@ mkdir /var/lib/cool
#### CREATE COMPELETE TAG #### #### CREATE COMPELETE TAG ####
touch /var/lib/beacons/file_fixes_and_new_services/jitsi/completed /run/current-system/sw/bin/touch /var/lib/beacons/file_fixes_and_new_services/jitsi/completed
if [[ $? != 0 ]]; then if [[ $? != 0 ]]; then
echo "Could Not Create Completed Tag" /run/current-system/sw/bin/echo "Could Not Create Completed Tag"
exit 1 exit 1